#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './gPluginSDKConfigure.ui'
**
** Created: Fri May 26 08:23:55 2006
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.5   edited Aug 31 12:13 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "gPluginSDKConfigure.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qtabwidget.h>
#include <qlabel.h>
#include <qgroupbox.h>
#include <qlineedit.h>
#include <qcombobox.h>
#include <kurllabel.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "kurllabel.h"

/*
 *  Constructs a GPluginSDKCfg as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
GPluginSDKCfg::GPluginSDKCfg( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "PluginForm" );
    PluginFormLayout = new QVBoxLayout( this, 11, 6, "PluginFormLayout"); 

    pagine = new QTabWidget( this, "pagine" );

    tab = new QWidget( pagine, "tab" );
    tabLayout = new QVBoxLayout( tab, 11, 6, "tabLayout"); 

    textLabel1_3 = new QLabel( tab, "textLabel1_3" );
    tabLayout->addWidget( textLabel1_3 );

    groupBox2 = new QGroupBox( tab, "groupBox2" );
    groupBox2->setColumnLayout(0, Qt::Vertical );
    groupBox2->layout()->setSpacing( 6 );
    groupBox2->layout()->setMargin( 11 );
    groupBox2Layout = new QHBoxLayout( groupBox2->layout() );
    groupBox2Layout->setAlignment( Qt::AlignTop );

    textLabel1_2 = new QLabel( groupBox2, "textLabel1_2" );
    textLabel1_2->setMinimumSize( QSize( 100, 0 ) );
    groupBox2Layout->addWidget( textLabel1_2 );

    ThemePath = new QLineEdit( groupBox2, "ThemePath" );
    groupBox2Layout->addWidget( ThemePath );

    pBrowseTheme = new QPushButton( groupBox2, "pBrowseTheme" );
    pBrowseTheme->setMaximumSize( QSize( 20, 32767 ) );
    groupBox2Layout->addWidget( pBrowseTheme );
    tabLayout->addWidget( groupBox2 );

    groupBox2_2 = new QGroupBox( tab, "groupBox2_2" );
    groupBox2_2->setColumnLayout(0, Qt::Vertical );
    groupBox2_2->layout()->setSpacing( 6 );
    groupBox2_2->layout()->setMargin( 11 );
    groupBox2_2Layout = new QHBoxLayout( groupBox2_2->layout() );
    groupBox2_2Layout->setAlignment( Qt::AlignTop );

    MiniText = new QComboBox( FALSE, groupBox2_2, "MiniText" );
    groupBox2_2Layout->addWidget( MiniText );
    tabLayout->addWidget( groupBox2_2 );
    spacer2 = new QSpacerItem( 20, 40, QSizePolicy::Minimum, QSizePolicy::Expanding );
    tabLayout->addItem( spacer2 );
    pagine->insertTab( tab, QString::fromLatin1("") );
    PluginFormLayout->addWidget( pagine );

    layout7 = new QHBoxLayout( 0, 0, 6, "layout7"); 

    kURLLabel1 = new KURLLabel( this, "kURLLabel1" );
    layout7->addWidget( kURLLabel1 );
    spacer1 = new QSpacerItem( 40, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout7->addItem( spacer1 );

    pOK = new QPushButton( this, "pOK" );
    layout7->addWidget( pOK );
    PluginFormLayout->addLayout( layout7 );
    languageChange();
    resize( QSize(401, 420).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( pBrowseTheme, SIGNAL( clicked() ), this, SLOT( pBrowseTheme_clicked() ) );
    connect( pOK, SIGNAL( clicked() ), this, SLOT( pOK_clicked() ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
GPluginSDKCfg::~GPluginSDKCfg()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void GPluginSDKCfg::languageChange()
{
    setCaption( tr2i18n( "KXDocker Plugin Configuration" ) );
    textLabel1_3->setText( tr2i18n( "KXDocker Plugin Configuration" ) );
    groupBox2->setTitle( tr2i18n( "theme" ) );
    textLabel1_2->setText( tr2i18n( "<p align=\"right\">Theme path</p>" ) );
    pBrowseTheme->setText( tr2i18n( "..." ) );
    groupBox2_2->setTitle( tr2i18n( "MiniText" ) );
    MiniText->clear();
    MiniText->insertItem( tr2i18n( "Disabled (let's docker manage it)" ) );
    MiniText->insertItem( tr2i18n( "Remaining percentage" ) );
    MiniText->insertItem( tr2i18n( "Remaining time" ) );
    pagine->changeTab( tab, tr2i18n( "Plugin" ) );
    kURLLabel1->setText( tr2i18n( "Download new themes" ) );
    pOK->setText( tr2i18n( "O&K" ) );
    pOK->setAccel( QKeySequence( tr2i18n( "Alt+K" ) ) );
}

void GPluginSDKCfg::xSetParameter(const QString,const QString)
{
    qWarning( "GPluginSDKCfg::xSetParameter(const QString,const QString): Not implemented yet" );
}

void GPluginSDKCfg::pBrowseTheme_clicked()
{
    qWarning( "GPluginSDKCfg::pBrowseTheme_clicked(): Not implemented yet" );
}

void GPluginSDKCfg::pOK_clicked()
{
    qWarning( "GPluginSDKCfg::pOK_clicked(): Not implemented yet" );
}

#include "gPluginSDKConfigure.moc"
